## yap 0.1.0

=== DESCRIPTION ===
Package: yap
Title: Yet Another Probabilistic Neural Network
Version: 0.1.0
Author: WenSui Liu
Maintainer: WenSui Liu <liuwensui@gmail.com>
Description: Another implementation of probabilistic neural network in R
    based on Specht (1990) <DOI:10.1016/0893-6080(90)90049-Q>. It is applicable to the 
    pattern recognition with a N-level response, where N > 2.
URL: https://github.com/statcompute/yap
Depends: R (>= 3.6.0)
Imports: stats, randtoolbox, lhs, parallel, datasets
License: GPL (>= 2)
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.0.2
NeedsCompilation: no
Packaged: 2020-01-08 03:09:02 UTC; liuwensui
Repository: CRAN
Date/Publication: 2020-01-15 09:50:02 UTC

## yap 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: yap
 Title: Yet Another Probabilistic Neural Network
-Version: 0.1.0
+Version: 0.1.1
 Author: WenSui Liu
 Maintainer: WenSui Liu <liuwensui@gmail.com>
 Description: Another implementation of probabilistic neural network in R
@@ -12,8 +12,8 @@
 License: GPL (>= 2)
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2020-01-08 03:09:02 UTC; liuwensui
+Packaged: 2020-10-25 20:16:51 UTC; liuwensui
 Repository: CRAN
-Date/Publication: 2020-01-15 09:50:02 UTC
+Date/Publication: 2020-10-25 20:30:02 UTC

## yap 5.1.1

=== docs/Makefile ===
#
# generate documentation files for YAP
#

MAKEINFO=makeinfo
TEXI2DVI=texi2dvi
TEXI2HTML=texi2html
TEXI2PDF=texi2pdf

all: info html ps pdf

install-info:
	$(MAKEINFO) $(MAKEINFOFLAGS) -I $(srcdir) -o $(INFODIR)/yap.info $(srcdir)/Documentation/yap.tex

info: yap.info

yap.info: yap.tex 
	$(MAKEINFO) yap.tex

html: yap.html

yap.html: yap.tex
	$(TEXI2HTML) yap.tex

dvi: yap.dvi

yap.dvi: yap.tex
	$(TEXI2DVI) yap.tex

ps:	yap.ps

yap.ps: yap.dvi
	dvips -o yap.ps yap

pdf: yap.pdf

yap.pdf: yap.tex
	$(TEXI2PDF) yap.tex

clean:
	rm -f *.aux *.ca *.cas *.cn *.cns *.cp *.cps *.cy *.cys *.dvi *.fn *.fns *.ky *.log *.sa *.sas *.sn *.sns *.sy *.sys *~ *.tp *.vr *.toc *.pg

realclean:
	-@make clean
	rm -f yap.ps yap.html yap_toc.html yap.pdf yap.info*

## yap 5.1.3

=== docs/index/Makefile ===
FILE=iclp07

all:	$(FILE).dvi $(FILE).ps $(FILE).pdf

$(FILE).dvi: force
	./latexmk $(FILE)

$(FILE).ps: $(FILE).dvi
	dvips -t a4 -P cmz -o $(FILE).ps $(FILE).dvi

$(FILE).pdf: $(FILE).ps
	ps2pdf14 $(FILE).ps

.PHONY: force
force:

.PHONY: clean
clean::
	rm -f $(FILE).aux $(FILE).aux.bak $(FILE).bbl $(FILE).blg $(FILE).dvi $(FILE).log

.PHONY: realclean
realclean: clean
	rm -f $(FILE).ps $(FILE).pdf

=== debian/changelog ===
yap (5.1.3-6) unstable; urgency=low

  * Added build-dependency on libncurses-dev. Thanks to Sven Joachim 
    for the hint.
  * Added armhf in the architecture list (closes: #629482). Thanks to
    Konstantinos Margaritis for having checked compilation on armhf.
  * debian/rules: added targets build-{arch,indep}.

 -- Ralf Treinen <treinen@debian.org>  Fri, 21 Oct 2011 14:57:14 +0200

yap (5.1.3-5) unstable; urgency=low

  * Don't start short description on an article or package name.
  * Don't start long description on package name. Small improvements
    in package description.
  * Source format 3.0 (quilt):
    - add debian/source
    - do not build-depend on dpatch
    - no more patching in debian/rules
    - rename patches, add headers.
    - remove debian/README.source
  * rename some files in debian/ by prefixing them with "yap."
  * debian/yap.info: add arch/yap.info-3 (closes: #625915)
  * Standards-version 3.9.2 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sat, 07 May 2011 08:53:03 +0200

yap (5.1.3-4) unstable; urgency=low

  * Build-depend on libreadline-dev, instead of libreadline5-dev.
  * Standards-Version 3.8.3 (no change)
  * Added a file README.source
  * Remove build-dependency on ncurses-dev since we do not need it.

 -- Ralf Treinen <treinen@debian.org>  Thu, 01 Oct 2009 21:40:44 +0200

yap (5.1.3-3) unstable; urgency=low

  * Patch 05_open_third_argument: add third argument to open() when
    called with O_CREAT (closes: Bug#531744). Thanks to Michael Terry!
  * Put debian packaging under licence LGPL-2
  * Remove mips and mipsel from architecture list (closes: Bug#528085).

 -- Ralf Treinen <treinen@debian.org>  Fri, 12 Jun 2009 21:29:35 +0200

yap (5.1.3-2) unstable; urgency=low

  * Standards-Version 3.8.1 (no change)
  * Compile with readline support, add build-dependency on libreadline5-dev,
    remove the now obsolete README.Debian (closes: Bug#525982).
  * Patch 04_clpr_docu: fix url of the CLPR technical report
    (closes: Bug#505664)

 -- Ralf Treinen <treinen@debian.org>  Mon, 04 May 2009 21:05:32 +0200

yap (5.1.3-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch.
  * Removed patches 01_yap-manual since now fixed by upstream.
  * Removed from patch 03_include-stdlib some chunks fixed by upstream.
  * pillow documentation: do not install CVS subdirectory.
  * Do no longer remove examples directories that were empty in previous
    upstream version.
  * Document patch 02_pillow-info.
  * Standards-version 3.8.0 (no change).
  * Make usr/lib/Yap/startup executable.

 -- Ralf Treinen <treinen@debian.org>  Wed, 20 Aug 2008 22:06:11 +0200

yap (5.1.1-3) unstable; urgency=low

  * debian/control: add Homepage field.
  * debian/control: specify architectures (closes: Bug#478726)
  * install docs in doc-base section Programming/Prolog

 -- Ralf Treinen <treinen@debian.org>  Tue, 06 May 2008 22:46:46 +0200

yap (5.1.1-2) unstable; urgency=low

  * Patch 03_include-stdlib: Include stdlib unconditionally since dependency
    on STDC_HEADERS seems not to work (closes: Bug#465313).

 -- Ralf Treinen <treinen@debian.org>  Sun, 17 Feb 2008 18:52:01 +0100

yap (5.1.1-1) unstable; urgency=low

  * Initial release (Closes: Bug#450688)

 -- Ralf Treinen <treinen@debian.org>  Sun, 27 Jan 2008 22:41:36 +0100

=== debian/control ===
Source: yap
Section: devel
Priority: extra
Maintainer: Ralf Treinen <treinen@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev,
 libreadline-dev, libncurses-dev, texinfo, texi2html
Standards-Version: 3.9.2
Homepage: http://www.dcc.fc.up.pt/~vsc/Yap/

Package: yap
Architecture: amd64 armel i386 powerpc s390 armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: High-performance Prolog System
 High-performance Prolog compiler developed at LIACC/Universidade
 do Porto and at COPPE Sistemas/UFRJ. The YAP Prolog engine is based in the
 Warren Abstract Machine, with several optimizations for better
 performance. YAP follows the Edinburgh tradition, and is largely
 compatible with the ISO-Prolog standard and with Quintus and SICStus Prolog. 
 .
 YAP features a constraint solver over real numbers, and support for 
 constraint handling rules (CHR).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

configure: config-stamp

config-stamp:  
	dh_testdir
	mkdir arch
	[ -h config.guess ] || { mv config.guess config.guess.upstream; \
		ln -s /usr/share/misc/config.guess; }
	[ -h config.sub ] || { mv config.sub config.sub.upstream; \
		ln -s /usr/share/misc/config.sub; }
	cd arch && \
	../configure --host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
	touch config-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure
	dh_testdir
	cd arch && make && make info html
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	[ ! -h  config.guess ] || mv config.guess.upstream config.guess
	[ ! -h  config.sub ] || mv config.sub.upstream config.sub
	rm -f build-stamp config-stamp
	! [ -d arch ] || rm -r arch 
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	cd arch \
	 && $(MAKE) \
		ROOTDIR=$(CURDIR)/debian/yap/usr \
		EROOTDIR=$(CURDIR)/debian/yap/usr \
		YAPLIBDIR=$(CURDIR)/debian/yap/usr/lib/Yap \
		YAPSHAREDIR=$(CURDIR)/debian/yap/usr/share/Yap \
		install
	chmod a-x $(CURDIR)/debian/yap/usr/share/Yap/pl/*.yap
	chmod a+x $(CURDIR)/debian/yap/usr/lib/Yap/startup
	cp LGPL/pillow/doc/pillow_doc_html/*.html \
		LGPL/pillow/doc/pillow_doc_html/*.css \
		$(CURDIR)/debian/yap/usr/share/doc/yap/pillow.html

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs changes4.3.html
	dh_installdocs arch/yap.html
	dh_installinfo
	dh_installman debian/yap.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build configure clean binary-indep binary-arch binary install patch unpatch

## yap 6.2.2

=== packages/clib/Makefile ===
################################################################
# Makefile template for SWI-Prolog CLIB package
#
# This template is used by configure to create Makefile.  See
# the file INSTALL for further installation instructions.
#
# License: LGPL
#
# Author: Jan Wielemaker (wielemak@science.uva.nl)
################################################################

.SUFFIXES: .tex .dvi .doc .pl

PL=../swipl.sh
PLBASE=/home/vsc/Yap/Prologs/pl-devel/lib/swipl-5.9.11
PLARCH=x86_64-linux
PLINCL=/home/vsc/Yap/Prologs/pl-devel/include
PKGDOC=$(PLBASE)/doc/packages
PCEHOME=../xpce

CC=../swipl-ld.sh
COFLAGS=-O2 -fno-strict-aliasing
CWFLAGS=-Wall
CMFLAGS=-fPIC
CIFLAGS=-I. -Imaildrop/rfc2045 -Imaildrop/rfc822
CFLAGS=$(COFLAGS) $(CWFLAGS) $(CMFLAGS) $(CIFLAGS) -DHAVE_CONFIG_H
LIBS=
NETLIBS=
CRYPTLIBS=-lcrypt 
MIMELIBS=maildrop/rfc2045/librfc2045.a maildrop/rfc822/librfc822.a

PUBLICPL=swipl
DOCTOTEX=$(PCEHOME)/bin/doc2tex
PLTOTEX=$(PUBLICPL) -q -s pltotex.pl -g pltotex --
DOC=clib
TEX=$(DOC).tex process.tex uri.tex
DVI=$(DOC).dvi
PDF=$(DOC).pdf
RUNTEX=../../man/runtex

LD=../swipl-ld.sh
LDFLAGS=-shared

INSTALL=/usr/bin/install -c
INSTALL_PROGRAM=${INSTALL}
INSTALL_DATA=/usr/bin/install -c -m 644

LIBPL=		random.pl unix.pl socket.pl cgi.pl memfile.pl filesex.pl mime.pl crypt.pl time.pl rlimit.pl streampool.pl streaminfo.pl process.pl prolog_server.pl sha.pl \
		uri.pl
TARGETS=	random.so unix.so socket.so cgi.so memfile.so files.so mime.so crypt.so time.so rlimit.so readutil.so streaminfo.so process.so \
		sha4pl.so uri.so

UNXOBJ=		error.o unix.o
SOCKOBJ=	error.o socket.o nonblockio.o
CGIOBJ=		error.o form.o cgi.o
CRYPTOBJ=	error.o crypt.o md5.o md5passwd.o
MEMOBJ=		error.o memfile.o
MIMEOBJ=	error.o mime.o
TIMEOBJ=	error.o time.o
FILESOBJ=	error.o files.o
RLIMITOBJ=	error.o rlimit.o
URIOBJ=		uri.o
RANDOMOBJ=	random.o
READUTILOBJ=	readutil.o
PROCESSOBJ=	error.o process.o
STREAMINFOOBJ=	error.o streaminfo.o
SHAOBJ=		error.o sha4pl.o sha1/sha1.o sha1/sha2.o \
		sha1/hmac_sha1.o sha1/hmac_sha256.o

all:		$(TARGETS)

random.so:	$(RANDOMOBJ)
		$(LD) $(LDFLAGS) -o $@ $(RANDOMOBJ)
unix.so:	$(UNXOBJ)
		$(LD) $(LDFLAGS) -o $@ $(UNXOBJ)
socket.so:	$(SOCKOBJ)
		$(LD) $(LDFLAGS) -o $@ $(SOCKOBJ) $(NETLIBS)
cgi.so:	$(CGIOBJ)
		$(LD) $(LDFLAGS) -o $@ $(CGIOBJ)
crypt.so:	$(CRYPTOBJ)
		$(LD) $(LDFLAGS) -o $@ $(CRYPTOBJ) $(CRYPTLIBS)
memfile.so:	$(MEMOBJ)
		$(LD) $(LDFLAGS) -o $@ $(MEMOBJ) $(LIBS)
mime.so:	$(MIMEOBJ) $(MIMELIBS)
		$(LD) $(LDFLAGS) -o $@ $(MIMEOBJ) $(MIMELIBS)
time.so:	$(TIMEOBJ)
		$(LD) $(LDFLAGS) -o $@ $(TIMEOBJ) $(LIBS)
files.so:	$(FILESOBJ)
		$(LD) $(LDFLAGS) -o $@ $(FILESOBJ) $(LIBS)
rlimit.so:	$(RLIMITOBJ)
		$(LD) $(LDFLAGS) -o $@ $(RLIMITOBJ) $(LIBS)
readutil.so:	$(READUTILOBJ)
		$(LD) $(LDFLAGS) -o $@ $(READUTILOBJ)
process.so:	$(PROCESSOBJ)
		$(LD) $(LDFLAGS) -o $@ $(PROCESSOBJ)
streaminfo.so: $(STREAMINFOOBJ)
		$(LD) $(LDFLAGS) -o $@ $(STREAMINFOOBJ)
sha4pl.so:	$(SHAOBJ)
		$(LD) $(LDFLAGS) -o $@ $(SHAOBJ)
uri.so:	$(URIOBJ)
		$(LD) $(LDFLAGS) -o $@ $(URIOBJ)

socket.o:	socket.c sockcommon.c

sha1/hmac_sha1.o:
		$(CC) -c $(CFLAGS) -DUSE_SHA1 -o $@ sha1/hmac.c
sha1/hmac_sha256.o:
		$(CC) -c $(CFLAGS) -DUSE_SHA256 -o $@ sha1/hmac.c

maildrop/rfc822/librfc822.a:
		(cd maildrop/rfc822 && $(MAKE))
maildrop/rfc2045/librfc2045.a:
		(cd maildrop/rfc2045 && $(MAKE))


install:	$(TARGETS) $(LIBPL)
		mkdir -p $(DESTDIR)$(PLBASE)/lib/$(PLARCH)
		for f in $(TARGETS); do \
		  $(INSTALL_PROGRAM) $$f $(DESTDIR)$(PLBASE)/lib/$(PLARCH); \
		done
		mkdir -p $(DESTDIR)$(PLBASE)/library
		for f in $(LIBPL); do \
		  $(INSTALL_DATA) $$f $(DESTDIR)$(PLBASE)/library; \
		done
		$(PL) -f none -g make -t halt

ln-install::
		@$(MAKE) INSTALL_DATA='../ln-install' INSTALL_PROGRAM='../ln-install' install

rpm-install:	install

html-install::
		mkdir -p $(DESTDIR)$(PKGDOC)
		$(INSTALL) -m 644 clib.html $(DESTDIR)$(PKGDOC)

pdf-install::
		mkdir -p $(DESTDIR)$(PKGDOC)
		$(INSTALL) -m 644 clib.pdf $(DESTDIR)$(PKGDOC)

uninstall::
		(cd $(PLBASE)/lib/$(PLARCH) && rm -f $(TARGETS))
		(cd $(PLBASE)/library && rm -f $(LIBPL))
		$(PL) -f none -g make -t halt

################################################################
# Testing
################################################################

check:		check-socket check-memfile check-unit check-process \
		check-read check-uri check-cgi

torture:	torture-socket

check-socket::
		$(PL) -q -f test_socket.pl -F none -g test_socket,halt -t 'halt(1)'

torture-socket::
		$(PL) -q -f stresssocket.pl -F none -g test,halt -t 'halt(1)'

check-memfile::
		$(PL) -q -f test_memfile.pl -F none -g test_memfile,halt -t 'halt(1)'

check-unit::
		$(PL) -q -f test.pl -g run_tests,halt -t 'halt(1)'

check-uri::
		$(PL) -q -f test_uri.pl -g true -t test_uri

check-cgi::
		$(PL) -q -f test_cgi.pl -g true -t test_cgi

check-process::
		$(PL) -q -f test_process.pl -g true -t test_process

check-read::
		$(PL) -q -f test_readutil.pl -g true -t test_readutil

################################################################
# Documentation
################################################################

pdf:		$(PDF)

$(DVI):		$(TEX)
		$(RUNTEX) $(DOC)

$(PDF):		$(TEX)
		$(RUNTEX) --pdf $(DOC)

html:		$(TEX)
		latex2html $(DOC)
		mv html/index.html clib.html
		rm -r html

$(TEX):		$(DOCTOTEX)

uri.tex:	uri.pl
		$(PLTOTEX) 'library(uri)'
process.tex:	process.pl
		$(PLTOTEX) 'library(process)'

.doc.tex:
		$(DOCTOTEX) $*.doc > $*.tex


################################################################
# Clean
################################################################

clean:
		rm -f $(OBJ) *~ *.o *% a.out core config.log sha1/*.o
		rm -f $(TEX)
		-(cd maildrop/rfc822 && $(MAKE) clean)
		-(cd maildrop/rfc2045 && $(MAKE) clean)

distclean:	clean
		rm -f $(TARGETS) config.cache config.h config.status Makefile
		rm -f clib.aux clib.log clib.out clib.toc
		rm -rf html
		-(cd maildrop/rfc822 && $(MAKE) distclean)
		-(cd maildrop/rfc2045 && $(MAKE) distclean)

=== packages/cplint/doc/Makefile ===

manual.pdf: manual.tex manual.bbl
	pdflatex manual
	pdflatex manual

manual.html: manual.tex manual.bbl
	htlatex manual

=== debian/changelog ===
yap (6.2.2-6) sid; urgency=medium

  * d/control: add architectures arm64, ppc64el (closes: #791968)
  * patch off-by-one-when-initializing-yap-flags by Petr Písař taken from
    fedora.
  * consistent naming of patches (drop numeric prefixes)

 -- Ralf Treinen <treinen@debian.org>  Tue, 14 Jul 2015 21:56:25 +0200

yap (6.2.2-5) unstable; urgency=medium

  * version -5, as -4 was a successor of -3 uploaded to experimental.
  * Acknowledge NMU -3.1 to fix FTBFS with GCC 5 (thanks!)
  * Add build-dependency on libgmp-dev (closes: 780371).
  * add as-installed test: fibonacci.
  * Standards-Version 3.9.6 (no change)
  * d/control: fix URL's in Vcs-* fields
  * patch gcc5: add patch header

 -- Ralf Treinen <treinen@debian.org>  Thu, 09 Jul 2015 22:49:36 +0200

yap (6.2.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 5 (Petr Pisar, Betty Dall). Closes: #778191.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Jul 2015 16:54:39 +0200

yap (6.2.2-3) unstable; urgency=medium

  * patch regexp: fix a heap overflow in regexp library (closes: #778410)
    Fixes a potentential vulnerability (https://www.kb.cert.org/vuls/id/695940)

 -- Ralf Treinen <treinen@debian.org>  Wed, 25 Feb 2015 16:52:36 +0100

yap (6.2.2-2) unstable; urgency=low

  * update patch yap-texinfo, following indications by Vitor Santos Costa
    from upstream.
  * add build-dependency on zlib1g-dev so that the zlib package is build.
  * generate yap documentation with makeinfo instead of texi2html:
    - drop build-dependency on texi2html
    - add patch replace-texi2html-by-makeinfo
  * Patch upstream_6_3_branch_handle_unknown_arch from Ubuntu (thanks to
    Daniel T Chen!) to solve FTBFS on non-intel architectures (closes: #718719)
  * Standards-Version 3.9.5 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sat, 23 Nov 2013 18:44:55 +0100

yap (6.2.2-1) unstable; urgency=low

  * New upstream release. This version compiles with gcc-4.8 (closes: #701375)
    - drop patch 05_open_third_argument
  * debian/rules: use LDFLAGS as set by dpkg-buildflags
  * packaging on collab-maint git:
    - add debian/gbp.conf with pristine-tar=true
    - set Vcs-* fields in debian/control
  * debian/rules install target:
    - define LIBDIR
  * patch yap-texinfo: fix texinfo for makeinfo from texinfo 5.1
  * Use chrpath to rmove rpaths:
    - invoke in the install target in debian/rules
    - add to build-dependency
  * Installation of docs:
    - install all changes*.html files from upstream
    - install pillow_doc_html via dh_installdocs
    - do not install usr/share/doc/Yap
  * debian/clean: remove some cruft generated by configure.
  * Standards-Version 3.9.4 (no change)
  * debian/copyright: migrate to machine-readable format 1.0

 -- Ralf Treinen <treinen@debian.org>  Fri, 14 Jun 2013 22:09:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: extra
 Maintainer: Ralf Treinen <treinen@debian.org>
 Build-Depends: debhelper (>= 5), autotools-dev,
- libreadline-dev, libncurses-dev, texinfo, texi2html
-Standards-Version: 3.9.2
+ libreadline-dev, libgmp-dev, libncurses-dev, zlib1g-dev, texinfo, chrpath
+Standards-Version: 3.9.6
 Homepage: http://www.dcc.fc.up.pt/~vsc/Yap/
+Vcs-Git: git://anonscm.debian.org/collab-maint/yap.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/yap.git;a=summary
 
 Package: yap
-Architecture: amd64 armel i386 powerpc s390 armhf
+Architecture: amd64 arm64 armel armhf i386 powerpc ppc64el s390 
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: High-performance Prolog System
  High-performance Prolog compiler developed at LIACC/Universidade

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
-		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,relro"
 	touch config-stamp
 
 build: build-arch build-indep
@@ -59,20 +59,20 @@
 		EROOTDIR=$(CURDIR)/debian/yap/usr \
 		YAPLIBDIR=$(CURDIR)/debian/yap/usr/lib/Yap \
 		YAPSHAREDIR=$(CURDIR)/debian/yap/usr/share/Yap \
+		LIBDIR=$(CURDIR)/debian/yap/usr/lib \
 		install
-	chmod a-x $(CURDIR)/debian/yap/usr/share/Yap/pl/*.yap
-	chmod a+x $(CURDIR)/debian/yap/usr/lib/Yap/startup
-	cp LGPL/pillow/doc/pillow_doc_html/*.html \
-		LGPL/pillow/doc/pillow_doc_html/*.css \
-		$(CURDIR)/debian/yap/usr/share/doc/yap/pillow.html
+	cd debian/yap/ && chrpath -d usr/lib/Yap/*.so usr/bin/yap
+	chmod a-x debian/yap/usr/share/Yap/pl/*.yap
+	chmod a+x debian/yap/usr/lib/Yap/startup.yss
+	rm -r debian/yap/usr/share/doc/Yap
 
 binary-indep: build install
 
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs changes4.3.html
-	dh_installdocs arch/yap.html
+	dh_installchangelogs
+	dh_installdocs
 	dh_installinfo
 	dh_installman debian/yap.1
 	dh_link

=== debian/tests/control ===
Tests: fibonacci
Depends: @
